Debian Bug report logs - #190188
ITA: bbppp -- PPP tool for the blackbox window manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 22 Apr 2003 15:33:08 UTC

Severity: normal

Fixed in version bbppp/0.2.4-1

Done: Florian Ernst <florian_ernst@gmx.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Timshel Knoll <timshel@debian.org>
Subject: O: bbppp -- PPP tool for the blackbox window manager
Date: Wed, 23 Apr 2003 01:25:59 +1000
Package: wnpp
Severity: normal

The current maintainer of bbppp, Timshel Knoll <timshel@debian.org>,
has orphaned this package.  If you want to be the new maintainer,
please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: bbppp
Binary: bbppp
Version: 0.2.3-1
Priority: optional
Section: x11
Maintainer: Timshel Knoll <timshel@debian.org>
Build-Depends: debhelper (>= 3.0.0), xlibs-dev
Architecture: any
Standards-Version: 3.5.8
Format: 1.0
Directory: pool/main/b/bbppp
Files: be528471fd862d6a199358e4ea92c2dc 564 bbppp_0.2.3-1.dsc
 c28c66ec68acc3fa32f3578b02b49b61 80846 bbppp_0.2.3.orig.tar.gz
 2c3775a1fdcbec83cb4e840914091baa 5746 bbppp_0.2.3-1.diff.gz

Package: bbppp
Priority: optional
Section: x11
Installed-Size: 188
Maintainer: Timshel Knoll <timshel@debian.org>
Architecture: i386
Version: 0.2.3-1
Depends: libc6 (>= 2.3.1-1), libstdc++2.10-glibc2.2 (>= 1:2.95.4-15), xlibs (>> 4.1.0)
Suggests: blackbox (>= 0.60.1) | fluxbox
Filename: pool/main/b/bbppp/bbppp_0.2.3-1_i386.deb
Size: 44062
MD5sum: eecd95be75ba828f258927e4b1dc2890
Description: PPP tool for the blackbox window manager
 bbppp is a blackbox tool to control and manage your PPP
 link. It can start up /shut down your ppp connection
 (by running pon/poff), and displays rx and tx via a
 modem-lights style PPP load, and also the PPP link uptime.
 .
 Note that you don't actually need blackbox for this program
 to work, but it won't look as good in any other window manager.


-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 190188@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: 190188@bugs.debian.org, control@bugs.debian.org
Subject: Re: O: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 1 Mar 2004 14:36:51 +0100
[Message part 1 (text/plain, inline)]
retitle 190188 ITA: bbppp -- PPP tool for the blackbox window manager
thanks

I'll try to package 0.2.4-1 as soon as 0.2.3-4 is available in Sid.

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Florian Ernst <florian@uni-hd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #17 received at 190188@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Florian Ernst <florian@uni-hd.de>, 190188@bugs.debian.org
Subject: Re: Bug#190188: O: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 1 Mar 2004 15:04:30 +0100
On Mon, Mar 01, 2004 at 02:36:51PM +0100, Florian Ernst wrote:
> retitle 190188 ITA: bbppp -- PPP tool for the blackbox window manager
> thanks
> 
> I'll try to package 0.2.4-1 as soon as 0.2.3-4 is available in Sid.

Err, you mean Sarge, don't you?

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #22 received at 190188@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: Frank Lichtenheld <djpig@debian.org>
Cc: Florian Ernst <florian@uni-hd.de>, 190188@bugs.debian.org
Subject: Re: Bug#190188: O: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 1 Mar 2004 15:25:28 +0100
[Message part 1 (text/plain, inline)]
Hello Frank!

On Mon, Mar 01, 2004 at 03:04:30PM +0100, Frank Lichtenheld wrote:
> On Mon, Mar 01, 2004 at 02:36:51PM +0100, Florian Ernst wrote:
> > I'll try to package 0.2.4-1 as soon as 0.2.3-4 is available in Sid.
> 
> Err, you mean Sarge, don't you?

Partially ;)

Actually I meant I'd wait until bbppp_0.2.3-4.diff.gz is available
on the mirrors. At the moment I can only see 0.2.3-3, but I can fetch
0.2.3-4 from incoming which I'm going to do now...

Once I have packaged it I'll wait until 0.2.3-4 has made it into
Sarge.


Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #27 received at 190188@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: debian-mentors@lists.debian.org
Cc: 190188@bugs.debian.org
Subject: RFS: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 1 Mar 2004 23:17:46 +0100
[Message part 1 (text/plain, inline)]
Dear mentors,

I'm searching for a sponsor for this small adoption:

Package name     : bbppp
Version          : 0.2.4-1
Upstream         : John Kennis <jkennis@chello.nl>
URL              : http://bbtools.sourceforge.net/
License          : GPLv2
Description      : PPP tool for the blackbox window manager
Long Description :
 bbppp is a blackbox tool to control and manage your PPP
 link. It can start up /shut down your ppp connection
 (by running pon/poff), and displays rx and tx via a
 modem-lights style PPP load, and also the PPP link uptime.
 .
 Note that you don't actually need blackbox for this program
 to work, but it won't look as good in any other window manager.
Closes: 190188
Changes:
 bbppp (0.2.4-1) unstable; urgency=low
 .
   * New maintainer (Closes: #190188)
   * New upstream release
   * Updated manpage to reflect v0.2.4
   * Cosmetical fix to usage screen
   * Standards:-version 3.6.1

The new upstream release basically incorporates the same patches as
just have been applied in 0.2.3-4, but as I like those better than the
upstream change I forward-ported them (*ahem*, kill four lines, add
five similar, but slightly different lines).
There were no other upstream changes.


lintian (v1.22.11) and linda (v0.2.23) clean; orig.tar.gz, diff.gz,
i386.deb, i386.changes and .dsc (last two gpg-signed) can be found at

http://ernst.uni-hd.de/debian


As 0.2.3-4 has just entered the archives the next upload should better
be delayed until that version gets into Sarge...


Thanks for taking your time,
cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #32 received at 190188@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: debian-mentors@lists.debian.org
Cc: 190188@bugs.debian.org
Subject: Re: RFS: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 8 Mar 2004 22:49:36 +0100
[Message part 1 (text/plain, inline)]
Dear mentors,

well, OK, I take it nobody is interested in this package at all, as I
haven't even recieved negative response so far... ;)

I'll continue to maintain my version of the package until someone
steps forward I can hand it over to who has / doesn't need a sponsor.

All the files can be found at
http://ernst.uni-hd.de/debian/bbppp

Additionally in one week from now I will file a RFS on
http://www.internatif.org/bortzmeyer/debian/sponsor/
so this package doesn't get lost in the list archives.

Just drop me a mail if you want further comments...

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#190188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian Nelson <pyro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #37 received at 190188@bugs.debian.org (full text, mbox):

From: Brian Nelson <pyro@debian.org>
To: debian-mentors@lists.debian.org
Cc: 190188@bugs.debian.org
Subject: Re: RFS: bbppp -- PPP tool for the blackbox window manager
Date: Mon, 08 Mar 2004 15:52:08 -0800
[Message part 1 (text/plain, inline)]
Florian Ernst <florian@uni-hd.de> writes:

> well, OK, I take it nobody is interested in this package at all, as I
> haven't even recieved negative response so far... ;)
>
> I'll continue to maintain my version of the package until someone
> steps forward I can hand it over to who has / doesn't need a sponsor.

I can sponsor you I guess, but I don't have a PPP link on which to test
it.  I'd have to take your word on it that it works.

> All the files can be found at
> http://ernst.uni-hd.de/debian/bbppp
>
> Additionally in one week from now I will file a RFS on
> http://www.internatif.org/bortzmeyer/debian/sponsor/
> so this package doesn't get lost in the list archives.
>
> Just drop me a mail if you want further comments...

I have a couple comments:

* The patch that changes 0's to NULL's is pointless.  In C++, NULL is
  just "#define NULL 0".

* The xlibs-dev build dependency is obsolete:

  Package: xlibs-dev
  [...]
  Description: X Window System client library development files pseudopackage
   This package smooths upgrades from Debian 3.0 by depending on libice-dev,
   libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev,
   libxp-dev, libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev,
   libxv-dev, pm-dev, x-dev, and xlibs-static-dev.  This pseudopackage is only
   depended upon by packages that haven't yet corrected their dependencies to
   reflect the new library arrangement.

-- 
Don't worry, it's *in*-flammable.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Florian Ernst <florian_ernst@gmx.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 190188-close@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: 190188-close@bugs.debian.org
Subject: Bug#190188: fixed in bbppp 0.2.4-1
Date: Thu, 11 Mar 2004 13:02:08 -0500
Source: bbppp
Source-Version: 0.2.4-1

We believe that the bug you reported is fixed in the latest version of
bbppp, which is due to be installed in the Debian FTP archive:

bbppp_0.2.4-1.diff.gz
  to pool/main/b/bbppp/bbppp_0.2.4-1.diff.gz
bbppp_0.2.4-1.dsc
  to pool/main/b/bbppp/bbppp_0.2.4-1.dsc
bbppp_0.2.4-1_i386.deb
  to pool/main/b/bbppp/bbppp_0.2.4-1_i386.deb
bbppp_0.2.4.orig.tar.gz
  to pool/main/b/bbppp/bbppp_0.2.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 190188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Ernst <florian_ernst@gmx.net> (supplier of updated bbppp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 10 Mar 2004 14:41:53 +0100
Source: bbppp
Binary: bbppp
Architecture: source i386
Version: 0.2.4-1
Distribution: unstable
Urgency: low
Maintainer: Florian Ernst <florian_ernst@gmx.net>
Changed-By: Florian Ernst <florian_ernst@gmx.net>
Description: 
 bbppp      - PPP tool for the blackbox window manager
Closes: 190188
Changes: 
 bbppp (0.2.4-1) unstable; urgency=low
 .
   * New maintainer (Closes: #190188)
   * New upstream release
   * Updated manpage to reflect v0.2.4
   * debian/control:
     + Updated Build-Depends
     + Added ppp to Depends
     + Added upstream homepage to Description
   * debian/rules: general overhaul (Thanks Brian Nelson!),
     using debhelper: best practice
   * Updated debian/copyright
   * Added menu item
   * Added debian/watch
   * Cosmetic fix to bbppp usage screen formatting
   * Standards-Version 3.6.1
Files: 
 06a586c63cf6759c813b109d12de0982 567 x11 optional bbppp_0.2.4-1.dsc
 9db31f780a5cacfff959186e6664a887 82894 x11 optional bbppp_0.2.4.orig.tar.gz
 0ac3dde488f1a4b64be4d07e6c941c9b 6397 x11 optional bbppp_0.2.4-1.diff.gz
 8418ed41c10e7ee6e65035ec562306ab 48726 x11 optional bbppp_0.2.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAUKTD1Ng1YWbyRSERAiA+AKCH5v4txHnB518B3YCU1YtTEptFSgCeLXWJ
+68v79YwvKyJSFuDlNzgRLg=
=Vq+n
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:59:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.